import request from '@/utils/request'

export function coupon(data) {
  return request({
    url: '/app-api/product/coupon-customer/page',
    method: 'get',
    params: data
  })
}

export function getCustomerAvailableCouponList(data) {
  return request({
    url: '/app-api/product/coupon/customer/available/couponList',
    method: 'post',
    data
  })
}

export function getCalculationList(data) {
  return request({
    url: '/app-api/product/line/price/calculation/prod-fee-List',
    method: 'post',
    data
  })
}

